%define oname	GrimRipper

Name:		grimripper
Version:	3.0.2
Release:	%mkrel 3
Summary:	GTK+-based audio CD ripper and encoder
License:	GPLv2+
Group:		Archiving/Cd burning
URL:		https://gitlab.gnome.org/Salamandar/GrimRipper
Source0:	https://gitlab.gnome.org/Salamandar/GrimRipper/-/archive/v%{version}/%{oname}-v%{version}.tar.bz2

BuildRequires:	meson
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libcddb)
BuildRequires:	intltool >= 0.34.90

Requires:	cdparanoia
Recommends:	lame
Recommends:	vorbis-tools
Recommends:	flac
Recommends:	wavpack

%description
GrimRipper is a graphical Audio CD ripper and encoder.
You can use it to save tracks from an Audio CD as WAV, MP3,
OGG, FLAC, and/or Wavpack.

This is a fork of Asunder (see http://littlesvr.ca/asunder).

%prep
%setup -qn %{oname}-v%{version}

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{oname}

%files -f %{oname}.lang
%doc AUTHORS ChangeLog Readme.md TODO
%{_bindir}/%{name}
%{_datadir}/applications/*.%{name}.desktop
%{_metainfodir}/org.gnome.gitlab.%{name}*
%{_iconsdir}/hicolor/*/apps/org.gnome.gitlab.%{name}*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.0.2-3.mga10
+ Revision: 2228975
- Mageia 10 Mass Rebuild

* Thu Oct 17 2024 daviddavid <daviddavid> 3.0.2-2.mga10
+ Revision: 2107665
- fix description

* Wed Oct 16 2024 daviddavid <daviddavid> 3.0.2-1.mga10
+ Revision: 2107353
- initial package grimripper

